import service from '@/utils/request'

export const getCentralControlConfList = (data) => {
    return service({
        url: '/gameTask/getCentralControlConfList',
        method: 'post',
        data
    })
}

export const getCentralControlConfById = (data) => {
    return service({
        url: '/gameTask/getCentralControlConfById',
        method: 'post',
        data
    })
}

export const createCentralControlConf = (data) => {
    return service({
        url: '/gameTask/createCentralControlConf',
        method: 'post',
        data
    })
}

export const updateCentralControlConf = (data) => {
    return service({
        url: '/gameTask/updateCentralControlConf',
        method: 'post',
        data
    })
}


export const deleteCentralControlConf = (data) => {
    return service({
        url: '/gameTask/deleteCentralControlConf',
        method: 'post',
        data
    })
}



export const deleteCentralControlConfByIds = (data) => {
    return service({
        url: '/gameTask/deleteCentralControlConfByIds',
        method: 'delete',
        data
    })
}
